/* eslint-env mocha */
'use strict';

const assert = require('assert');
const { base64RePad, base64ToBase64URL, base64URLToBase64 } = require('../../lib/base64url');

describe('base64ToBase64URL', function () {
  it('covers', function () {
    const b64 = '/+==';
    const expected = '_-';
    const result = base64ToBase64URL(b64);
    assert.strictEqual(result, expected);
  });
}); // base64ToBase64URL

describe('base64URLToBase64', function () {
  it('covers', function () {
    const b64url = '_-';
    const expected = '/+==';
    const result = base64URLToBase64(b64url);
    assert.strictEqual(result, expected);
  });
}); // base64URLToBase64

describe('base64RePad', function () {
  it('covers', function () {
    const b64short = 'af';
    const expected = 'af==';
    const result = base64RePad(b64short);
    assert.strictEqual(result, expected);
  });
  it('covers padded', function () {
    const b64 = 'afd4';
    const expected = b64;
    const result = base64RePad(b64);
    assert.strictEqual(result, expected);
  });
}); // base64RePad
